This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 228033 - Update of DD version definitions for JavaEE7
Summary: Update of DD version definitions for JavaEE7
Status: RESOLVED FIXED
Alias: None
Product: javaee
Classification: Unclassified
Component: DD Editor (show other bugs)
Version: 7.3.1
Hardware: All All
: P3 normal (vote)
Assignee: Martin Fousek
URL:
Keywords: API, API_REVIEW_FAST
Depends on:
Blocks:
 
Reported: 2013-03-28 11:08 UTC by Martin Fousek
Modified: 2013-04-05 04:43 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
apichange (4.42 KB, patch)
2013-03-28 11:09 UTC, Martin Fousek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Fousek 2013-03-28 11:08:33 UTC
JavaEE7 introduced new deployment descriptor scheme versions so we need to stay up-to-date at least with the versions used for recognition and load of DD models.

It includes addition of following versions:
- ejb-jar: version 3.2
- application: version 7
- application-client: version 7
- web, web-fragment: version 3.1

Extracted simple API change is attached. The changeset which uses newly defined versions for purposes of the loaders and multiviews was pushed into the javaee7 branch as:
web-main #fd62f4b4a63c
Comment 1 Martin Fousek 2013-03-28 11:09:09 UTC
Created attachment 133167 [details]
apichange
Comment 2 Martin Fousek 2013-04-02 07:35:32 UTC
If there will not be any objections, I'll integrate it tomorrow by the sync from javaee7 branch.
Comment 3 Martin Fousek 2013-04-05 04:43:34 UTC
Integrated into the trunk by merge: web-main #9cdc7bac20c3